Subject: Re: bug#17837: 24.4.50; Search very slow

From: Stefan Monnier <[email-masked]>
Date: Mon, 23 Jun 2014 11:51:53 -0400

> Visit stallman.org/archives/2014-mar-jun.html and type `C-s
> interview'.  It takes a long time.  Repeat with C-s a few times; each
> time, it takes a long time.

It's not particularly slow for me.

> I get the impression that searching fontifies all the text
> it moves through.  Is that really necessary?  It is a big pain in the neck.

Search doesn't fontify, no.  Of course, to display position N, we need
to font-lock position N, and to font-lock position N, html-mode needs to
scan all positions between 1 and N to look for things like <!--, or
CDATA, or various other such escape codes, so the amount of work is
proportional to the distance.

        Stefan